Bug 129216 - net-im/psi fails to build
Summary: net-im/psi fails to build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-26 23:50 UTC by Jon Kelly Hays
Modified: 2009-04-25 17:23 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Kelly Hays 2008-11-26 23:50:01 UTC
make install in /usr/ports/net-im/psi is failing with the following errors:

/usr/local/bin/moc-qt4 -DQT_STATICPLUGIN -DQCA_NO_PLUGINS -DOSSL_097 -DHAVE_OPENSSL -DQCA_SYSTEMSTORE_PATH=\"/usr/local/certs/rootcerts.pem\" -DHAVE_XSS -DHAVE_ASPELL -DHAVE_CONFIG -DUSE_PEP -DTC_PSIFILE -DQCA_STATIC -DXMPP_TEST -DUSE_DBUS -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4/QtXml -I/usr/local/include/qt4/QtXml -I/usr/local/include/qt4/Qt3Support -I/usr/local/include/qt4/Qt3Support -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtDBus -I/usr/local/include -I../cutestuff/util -I../cutestuff/network -I../cutestuff/legacy -Iprivacy -Icapabilities -Iutilities -Itabs -Itools/trayicon -Itools/iconset -Itools/idle -Itools/systemwatch -It
 ools/zip -Itools/optionstree -Itools/globalshortcut -Itools/advwidget -Itools/spellchecker -Itools/contactlist -Itools/grepshortcutkeydlg -Itools/atomicxmlfile -Itools/tunecontroller -Itools/tunecontroller/plugins/psifile -I../third-party/qca/qca/include/QtCrypto -I../third-party/qca/qca-gnupg/gpgproc -I../third-party/qca/qca-gnupg -Iwidgets -I../iris -I../iris/include -I../iris/xmpp-core -I../iris/xmpp-im -I../iris/jabber -Ioptions -I. -I.moc -I/usr/local/include -I.ui -I/usr/local/include ../third-party/qca/qca-ossl/qca-ossl.cpp -o .moc/qca-ossl.moc
c++ -c -pipe -O2 -fno-strict-aliasing -pipe -Wall -W -DQT_STATICPLUGIN -DQCA_NO_PLUGINS -DOSSL_097 -DHAVE_OPENSSL -DQCA_SYSTEMSTORE_PATH=\"/usr/local/certs/rootcerts.pem\" -DHAVE_XSS -DHAVE_ASPELL -DHAVE_CONFIG -DUSE_PEP -DTC_PSIFILE -DQCA_STATIC -DXMPP_TEST -DUSE_DBUS -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-g++ -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtNetwork -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4/QtXml -I/usr/local/include/qt4/QtXml -I/usr/local/include/qt4/Qt3Support -I/usr/local/include/qt4/Qt3Support -I/usr/local/include/qt4 -I/usr/local/include/qt4/QtDBus -I/usr/local/include -I../cutestuff/util -I../cutestuff/network -I../cutestuff/legacy -Iprivacy -Icapabilities -Iutilities -Itabs -Itools/trayicon -Itools/iconset -Itool
 s/idle -Itools/systemwatch -Itools/zip -Itools/optionstree -Itools/globalshortcut -Itools/advwidget -Itools/spellchecker -Itools/contactlist -Itools/grepshortcutkeydlg -Itools/atomicxmlfile -Itools/tunecontroller -Itools/tunecontroller/plugins/psifile -I../third-party/qca/qca/include/QtCrypto -I../third-party/qca/qca-gnupg/gpgproc -I../third-party/qca/qca-gnupg -Iwidgets -I../iris -I../iris/include -I../iris/xmpp-core -I../iris/xmpp-im -I../iris/jabber -Ioptions -I. -I.moc -I/usr/local/include -I.ui -I/usr/local/include -o .obj/qca-ossl.o ../third-party/qca/qca-ossl/qca-ossl.cpp
./third-party/qca/qca-ossl/qca-ossl.cpp: In function 'X509_EXTENSION* opensslQCAPlugin::new_subject_key_id(X509*)':
./third-party/qca/qca-ossl/qca-ossl.cpp:330: warning: deprecated conversion from string constant to 'char*'
./third-party/qca/qca-ossl/qca-ossl.cpp: In member function 'virtual QCA::Provider::Context* opensslProvider::createContext(const QString&)':
./third-party/qca/qca-ossl/qca-ossl.cpp:6815: error: 'EVP_whirlpool' was not declared in this scope
*** Error code 1

Stop in /usr/ports/net-im/psi/work/psi-0.12/src.
*** Error code 1

Stop in /usr/ports/net-im/psi/work/psi-0.12.
*** Error code 1

Stop in /usr/ports/net-im/psi.


This computer has KDE 3.5.10 and KDE 4.1.1 installed.

How-To-Repeat: cd /usr/ports/net-im/psi
sudo make install


OR

sudo portmaster -d net-im/psi
Comment 1 Edwin Groothuis freebsd_committer 2008-11-26 23:50:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Jon Kelly Hays 2008-12-29 19:39:16 UTC
I have discovered that this only happens when the ports version of
openssl is installed.

Kelly
Comment 3 Shaun Amott freebsd_committer 2009-03-13 23:30:17 UTC
Responsible Changed
From-To: shaun->freebsd-ports-bugs

Port is now unmaintained.
Comment 4 Max Brazhnikov freebsd_committer 2009-03-19 12:15:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

over to me
Comment 5 Max Brazhnikov freebsd_committer 2009-03-19 12:16:38 UTC
State Changed
From-To: open->feedback

Could you confirm that problem is fixed in psi-0.12.1_1?
Comment 6 Max Brazhnikov freebsd_committer 2009-04-25 17:23:29 UTC
State Changed
From-To: feedback->closed

Feedback timeout.